# VisualStudioRootExtension

API Documentation: | `VisualStudioRootExtension`

The configuration for mapping a set of native components to a Visual Studio project and solution.

### Properties

Property | Description
`projects` | The `VisualStudioProject`s generated.
`solution` | The generated `VisualStudioSolution` for this build.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``NamedDomainObjectSet`<? extends `VisualStudioProject`>` `projects` (read-only)

The `VisualStudioProject`s generated.

#### `VisualStudioSolution` `solution` (read-only)

The generated `VisualStudioSolution` for this build.